Skip to main content
`Ctrl`+`K`

# PetscSectionGetDof

Return the total number of degrees of freedom associated with a given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetDof(PetscSection s, PetscInt point, PetscInt *numDof)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

## Output Parameter

- numDof - the number of dof

## Notes

In a global section, this size will be negative for points not owned by this process.

This number is for the unnamed default field at the given point plus all degrees of freedom associated with all fields at that point

## See Also

PetscSection, `PetscSection`, `PetscSectionSetDof()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/dm/impls/plex/tutorials/ex6.c
src/snes/tutorials/ex7.c
src/tao/tutorials/ex3.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages